// Filename Ton_618_Sys.sc
// JackDole 2018.07.02 08:37:38

// Put this in 'addons\catalogs\stars'

Star    "TON 618*"
{
    ParentBody  "TON 618 Central Black Hole"
    Class       "X"
    
    MassSol     6.6e10
    RadSol      280030.919
    
    Luminosity  0
    
    Age         12.87
    
    AccretionDisk
    {
        InnerRadius     1433.21
        OuterRadius     749466
        AccretionRate   4.98287e-017
        Temperature     5665.96
        Density         5.93936
        Luminosity      1.642e+14
        TwistMagn       50
        Brightness      1
    }
    
    StaticPosPolar  (0.0 0.0 0.0)
}

// Fictional -------------------------------------------------------------------
Star	"S1"
{
    ParentBody     "TON 618*"
    Class	       "G0.3 III"
    Luminosity      81.4886
    MassSol         3.50985
    RadSol          10.195
    Teff            5790

    Age             12.87
    
    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   196649
        Period          339.442
        Eccentricity    0.821693
        Inclination     205.041
        AscendingNode   128.885
        ArgOfPericenter 161.533
        MeanAnomaly     265.722
    }
}

Star	"S2"
{
    ParentBody     "TON 618*"
    Class	       "F0.6 V"
    Luminosity      12.0458
    MassSol         1.90462
    RadSol          2.46419
    Teff            7110

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   229208
        Period          427.143
        Eccentricity    0.19614
        Inclination     40.7889
        AscendingNode   79.8528
        ArgOfPericenter 337.808
        MeanAnomaly     198.927
    }
}

Star	"S3"
{
    ParentBody     "TON 618*"
    Class	       "DB"
    Luminosity      0.000143977
    MassSol         0.0777422
    RadSol          0.0292881
    Teff            5060

    Age             12.87
    
    
    AccretionDisk
    {
        InnerRadius     0.000149888
        OuterRadius     0.00166187
        AccretionRate   9.35413e-029
        Temperature     5.2381e+006
        Density         1.71904e+009
        Luminosity      0.00101585
        TwistMagn       2.5
        Brightness      1
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   103597
        Period          129.793
        Eccentricity    0.606096
        Inclination     107.768
        AscendingNode   180.475
        ArgOfPericenter 12.7576
        MeanAnomaly     204.391
    }
}

Star	"S4"
{
    ParentBody     "TON 618*"
    Class	       "G0 V"
    Luminosity      2.12251
    MassSol         1.25809
    RadSol          1.49481
    Teff            6030

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   117756
        Period          157.29
        Eccentricity    0.201809
        Inclination     8.17379
        AscendingNode   350.265
        ArgOfPericenter 20.3603
        MeanAnomaly     315.044
    }
}

Star	"S5"
{
    ParentBody     "TON 618*"
    Class	       "K6.6 V"
    Luminosity      0.116128
    MassSol         0.651379
    RadSol          0.860028
    Teff            4116

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   271847
        Period          551.716
        Eccentricity    0.227986
        Inclination     50.9097
        AscendingNode   344.729
        ArgOfPericenter 201.698
        MeanAnomaly     28.1264
    }
}

Star	"S7"
{
    ParentBody     "TON 618*"
    Class	       "F7.9 V"
    Luminosity      3.12172
    MassSol         1.37879
    RadSol          1.6939
    Teff            6208

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   414834
        Period          1040.02
        Eccentricity    0.437923
        Inclination     246.044
        AscendingNode   155.34
        ArgOfPericenter 319.804
        MeanAnomaly     128.186
    }
}

Star	"S8"
{
    ParentBody     "TON 618*"
    Class	       "K4 V"
    Luminosity      0.213397
    MassSol         0.723264
    RadSol          0.852636
    Teff            4590

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   67250.4
        Period          67.8845
        Eccentricity    0.77754
        Inclination     136.245
        AscendingNode   340.37
        ArgOfPericenter 276.345
        MeanAnomaly     248.737
    }
}

Star	"S9"
{
    ParentBody     "TON 618*"
    Class	       "C-N2.7"
    Luminosity      24.2806
    MassSol         2.60266
    RadSol          30.5673
    Teff            3557

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   50862.5
        Period          44.6504
        Eccentricity    0.170789
        Inclination     276.996
        AscendingNode   190.133
        ArgOfPericenter 40.0273
        MeanAnomaly     121.931
    }
}

Star	"S10"
{
    ParentBody     "TON 618*"
    Class	       "K7.2 V"
    Luminosity      0.101441
    MassSol         0.634971
    RadSol          0.845767
    Teff            4046

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   333681
        Period          750.284
        Eccentricity    0.187051
        Inclination     67.1746
        AscendingNode   166.465
        ArgOfPericenter 30.769
        MeanAnomaly     157.075
    }
}

Star	"S11"
{
    ParentBody     "TON 618*"
    Class	       "F7.4 V"
    Luminosity      3.45839
    MassSol         1.41292
    RadSol          1.7561
    Teff            6248

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   81527.4
        Period          90.6117
        Eccentricity    0.423406
        Inclination     169.199
        AscendingNode   235.483
        ArgOfPericenter 56.9119
        MeanAnomaly     143.5
    }
}

Star	"S12"
{
    ParentBody     "TON 618*"
    Class	       "M0.6 V"
    Luminosity      0.0326672
    MassSol         0.506673
    RadSol          0.619595
    Teff            3772

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   4690.97
        Period          1.25061
        Eccentricity    0.395205
        Inclination     265.268
        AscendingNode   132.455
        ArgOfPericenter 199.521
        MeanAnomaly     353.49
    }
}

Star	"S13"
{
    ParentBody     "TON 618*"
    Class	       "A8.1 V"
    Luminosity      17.5435
    MassSol         2.11873
    RadSol          2.63327
    Teff            7561

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   317682
        Period          696.976
        Eccentricity    0.751262
        Inclination     79.1045
        AscendingNode   249.394
        ArgOfPericenter 356.703
        MeanAnomaly     294.965
    }
}

Star	"S14"
{
    ParentBody     "TON 618*"
    Class	       "G6.1 III"
    Luminosity      36.4814
    MassSol         2.87475
    RadSol          9.64949
    Teff            5052

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   383484
        Period          924.379
        Eccentricity    0.314571
        Inclination     35.2546
        AscendingNode   159.766
        ArgOfPericenter 130.207
        MeanAnomaly     64.0626
    }
}

Star	"S15"
{
    ParentBody     "TON 618*"
    Class	       "F2.9 III"
    Luminosity      18.7815
    MassSol         2.17704
    RadSol          3.46566
    Teff            6735

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   347933
        Period          798.864
        Eccentricity    0.86884
        Inclination     160.087
        AscendingNode   52.38
        ArgOfPericenter 42.2029
        MeanAnomaly     269.591
    }
}

Star	"S16"
{
    ParentBody     "TON 618*"
    Class	       "K1.3 V"
    Luminosity      0.399858
    MassSol         0.830571
    RadSol          0.937785
    Teff            5026

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   5282.41
        Period          1.49443
        Eccentricity    0.515344
        Inclination     209.752
        AscendingNode   48.357
        ArgOfPericenter 326.843
        MeanAnomaly     144.029
    }
}

Star	"S17"
{
    ParentBody     "TON 618*"
    Class	       "A9.2 V"
    Luminosity      15.0465
    MassSol         2.01358
    RadSol          2.56863
    Teff            7352

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   404733
        Period          1002.26
        Eccentricity    0.0826499
        Inclination     170.626
        AscendingNode   245.541
        ArgOfPericenter 95.5588
        MeanAnomaly     61.8055
    }
}

Star	"S18"
{
    ParentBody     "TON 618*"
    Class	       "A3.5 V"
    Luminosity      33.1979
    MassSol         2.63288
    RadSol          2.8931
    Teff            8590

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   38272.6
        Period          29.1447
        Eccentricity    0.861249
        Inclination     98.5857
        AscendingNode   211.473
        ArgOfPericenter 37.6984
        MeanAnomaly     26.1257
    }
}

Star	"S19"
{
    ParentBody     "TON 618*"
    Class	       "G3.8 III"
    Luminosity      50.4688
    MassSol         3.12227
    RadSol          10.1505
    Teff            5270

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   173317
        Period          280.86
        Eccentricity    0.806678
        Inclination     73.2611
        AscendingNode   100.633
        ArgOfPericenter 42.6063
        MeanAnomaly     36.1374
    }
}

Star	"S20"
{
    ParentBody     "TON 618*"
    Class	       "F1.6 V"
    Luminosity      10.0487
    MassSol         1.82443
    RadSol          2.36364
    Teff            6954

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   290473
        Period          609.38
        Eccentricity    0.429957
        Inclination     173.452
        AscendingNode   5.86465
        ArgOfPericenter 16.526
        MeanAnomaly     312.252
    }
}

Star	"S21"
{
    ParentBody     "TON 618*"
    Class	       "F2 V"
    Luminosity      9.34859
    MassSol         1.79344
    RadSol          2.32664
    Teff            6890

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   340988
        Period          775.063
        Eccentricity    0.267413
        Inclination     164.563
        AscendingNode   336.001
        ArgOfPericenter 150.488
        MeanAnomaly     73.0369
    }
}

Star	"S22"
{
    ParentBody     "TON 618*"
    Class	       "A9.1 V"
    Luminosity      15.3432
    MassSol         2.02601
    RadSol          2.58048
    Teff            7371

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   106400
        Period          135.095
        Eccentricity    0.877318
        Inclination     298.313
        AscendingNode   269.929
        ArgOfPericenter 47.5021
        MeanAnomaly     313.515
    }
}

Star	"S23"
{
    ParentBody     "TON 618*"
    Class	       "F4.8 III"
    Luminosity      17.1981
    MassSol         2.1245
    RadSol          3.5896
    Teff            6490

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   320401
        Period          705.942
        Eccentricity    0.179336
        Inclination     275.259
        AscendingNode   344.648
        ArgOfPericenter 208.601
        MeanAnomaly     188.321
    }
}

Star	"S24"
{
    ParentBody     "TON 618*"
    Class	       "F7.3 V"
    Luminosity      3.50658
    MassSol         1.41749
    RadSol          1.76296
    Teff            6256

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   205217
        Period          361.867
        Eccentricity    0.827134
        Inclination     331.905
        AscendingNode   295.939
        ArgOfPericenter 149.52
        MeanAnomaly     90.2736
    }
}

Star	"S25"
{
    ParentBody     "TON 618*"
    Class	       "S8.8"
    Luminosity      78.6781
    MassSol         3.48438
    RadSol          102.007
    Teff            3240

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   312222
        Period          679.084
        Eccentricity    0.513044
        Inclination     201.8
        AscendingNode   183.71
        ArgOfPericenter 4.32432
        MeanAnomaly     76.6015
    }
}

Star	"S26"
{
    ParentBody     "TON 618*"
    Class	       "F4.8 V"
    Luminosity      5.50839
    MassSol         1.58145
    RadSol          2.05163
    Teff            6470

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   560173
        Period          1631.97
        Eccentricity    0.0590102
        Inclination     119.087
        AscendingNode   19.7202
        ArgOfPericenter 150.546
        MeanAnomaly     92.6797
    }
}

Star	"S27"
{
    ParentBody     "TON 618*"
    Class	       "F4 V"
    Luminosity      6.44065
    MassSol         1.64147
    RadSol          2.13054
    Teff            6590

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   334525
        Period          753.131
        Eccentricity    0.617684
        Inclination     294.225
        AscendingNode   263
        ArgOfPericenter 192.201
        MeanAnomaly     143.11
    }
}

Star	"S28"
{
    ParentBody     "TON 618*"
    Class	       "F0.1 V"
    Luminosity      13.273
    MassSol         1.94914
    RadSol          2.52712
    Teff            7185

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   231644
        Period          433.971
        Eccentricity    0.32719
        Inclination     188.481
        AscendingNode   90.4685
        ArgOfPericenter 307.966
        MeanAnomaly     38.1875
    }
}

Star	"S29"
{
    ParentBody     "TON 618*"
    Class	       "F6.1 III"
    Luminosity      16.2105
    MassSol         2.09751
    RadSol          3.68565
    Teff            6340

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   465646
        Period          1236.84
        Eccentricity    0.118356
        Inclination     178.675
        AscendingNode   286.312
        ArgOfPericenter 102.314
        MeanAnomaly     117.286
    }
}

Star	"S30"
{
    ParentBody     "TON 618*"
    Class	       "F1.6 III"
    Luminosity      19.8878
    MassSol         2.21064
    RadSol          3.36222
    Teff            6922

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   79898.8
        Period          87.9101
        Eccentricity    0.550645
        Inclination     218.505
        AscendingNode   130.619
        ArgOfPericenter 64.0875
        MeanAnomaly     345.879
    }
}

Star	"S31"
{
    ParentBody     "TON 618*"
    Class	       "F9 IV"
    Luminosity      2.57253
    MassSol         1.32005
    RadSol          1.61871
    Teff            6080

    Age             12.87
    
    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   539291
        Period          1541.57
        Eccentricity    0.11688
        Inclination     259.119
        AscendingNode   82.9022
        ArgOfPericenter 105.735
        MeanAnomaly     133.429
    }
}

Star	"S32"
{
    ParentBody     "TON 618*"
    Class	       "G4.8 V"
    Luminosity      1.09156
    MassSol         1.07278
    RadSol          1.18458
    Teff            5776

    Age             12.87

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   44728
        Period          36.8212
        Eccentricity    0.727269
        Inclination     236.093
        AscendingNode   218.325
        ArgOfPericenter 134.624
        MeanAnomaly     314.527
    }
}

//------------------------------------------------------------------------------
